<template>
<div>
  <tabs :tabs="tabs" v-on:action="setAction"/>
  <player :current_video="current_video"/>
  <v-container fluid>
    <v-row>
      <v-col cols="6" sm="4" md="3" v-for="(post, i) in posts" :key="i">
        <box-video :img="post.img" :uri="post.uri">
          <template slot="title">{{ post.title }}</template>
          <template slot="category">{{ post.category }}</template>
        </box-video>
      </v-col>
    </v-row>
  </v-container>
</div>
</template>

<script>
export default {
  name: 'IndexPanel',
  layout: 'panel',
  head () {
    return {
      title: 'Dashboard',
      bodyAttrs: {
        class: 'alter-container'
      }
    }
  },
  data () {
    return {
      tabs: [
        { title: 'Home', action: 'home' },
        { title: 'Popular', action: 'popplar' },
        { title: 'Playlist', action: 'playlist' }
      ],
      posts: [
        { title: 'Get Ready Fast For Fall Leaf Viewing Trips', category: 'Travel', uri: 'get-ready', img: '/imgs/thumb.png' },
        { title: 'Get Ready Fast For Fall Leaf Viewing Trips', category: 'Travel', uri: 'get-ready', img: '/imgs/thumb.png' },
        { title: 'Get Ready Fast For Fall Leaf Viewing Trips', category: 'Travel', uri: 'get-ready', img: '/imgs/thumb.png' },
        { title: 'Get Ready Fast For Fall Leaf Viewing Trips', category: 'Travel', uri: 'get-ready', img: '/imgs/thumb.png' }
      ],
      current_video: {
        src: '/video.mp4',
        previewThumbnails: {
          enabled: true,
          src: '/imgs/destaque-dashboard.png'
        }
      }
    }
  },
  created () {
    this.setTitle()
  },
  methods: {
    setAction (action) {
      console.log(action)
    },
    setTitle () {
      this.$store.commit('config/setTitle', 'Dashboard')
    }
  }
}
</script>

<style>

</style>
